#!/bin/bash

. /usr/lib/tuned/functions

# stop irqbalance service
systemctl stop irqbalance
systemctl disable irqbalance

# Filter out the disks of ceph-osd
DISK_LIST=`lsblk  | grep -B1 ceph | grep -v ceph  | grep disk | awk -F ' ' '{print $1}'`

if [ s"$DISK_LIST" == s"" ] ; then
        echo "Warning : No such ceph disk in this system"
fi

for DISK in $DISK_LIST
do
        # Adjust disk nr_requests
        echo 512 > /sys/block/$DISK/queue/nr_requests

        # Adjust disk readahead
        blockdev --setra 32 /dev/$DISK

        # Adjust disk write_expire
        echo 1000 > /sys/block/$DISK/queue/iosched/write_expire

        echo "Optimized Success: $DISK"
done
